# azure.mgmt.datalake.store package

## Submodules

- azure.mgmt.datalake.store.models module
- azure.mgmt.datalake.store.operations module

## Module contents

class `azure.mgmt.datalake.store.``DataLakeStoreAccountManagementClient`(credentials, subscription_id, base_url=None)

  Bases: `msrest.service_client.SDKClient`

  Creates an Azure Data Lake Store account management client.

  Variables:

  - config (DataLakeStoreAccountManagementClientConfiguration) – Configuration for client.
  - accounts (azure.mgmt.datalake.store.operations.AccountsOperations) – Accounts operations
  - firewall_rules (azure.mgmt.datalake.store.operations.FirewallRulesOperations) – FirewallRules operations
  - virtual_network_rules (azure.mgmt.datalake.store.operations.VirtualNetworkRulesOperations) – VirtualNetworkRules operations
  - trusted_id_providers (azure.mgmt.datalake.store.operations.TrustedIdProvidersOperations) – TrustedIdProviders operations
  - operations (azure.mgmt.datalake.store.operations.Operations) – Operations operations
  - locations (azure.mgmt.datalake.store.operations.LocationsOperations) – Locations operations

  Parameters:

  - credentials (`A msrestazure Credentials object`) – Credentials needed for the client to connect to Azure.
  - subscription_id (str) – Gets subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.
  - base_url (str) – Service URL